LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLibraryContainer3 Interface Referencepublished

Extension of XLibraryContainer2. More...

`import"XLibraryContainer3.idl";`

Inheritance diagram for XLibraryContainer3:

## Public Member Functions
string | getOriginalLibraryLinkURL ([in] string Name) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException )
| returns the location of the library link target. More...
Public Member Functions inherited from XLibraryContainer2
boolean | isLibraryLink ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| returns true if the accessed library item is a link, e.g., created by createLibraryLink, otherwise false. More...
string | getLibraryLinkURL ([in] string Name) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException )
| returns the location of the library link target. More...
boolean | isLibraryReadOnly ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| returns true if the accessed library item (library or library link) is read only. More...
void | setLibraryReadOnly ([in] string Name, [in] boolean bReadOnly) raises ( com::sun::star::container::NoSuchElementException )
| Sets the accessed library item (library or library link) to read only according to the flag bReadOnly (true means read only) More...
void | renameLibrary ([in] string Name, [in] string NewName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::container::ElementExistException )
| renames the library item with the specified name. More...
Public Member Functions inherited from XLibraryContainer
com::sun::star::container::XNameContainer | createLibrary ([in] string Name) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| Creates a new library. More...
com::sun::star::container::XNameAccess | createLibraryLink ([in] string Name, [in] string StorageURL, [in] boolean ReadOnly) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| Creates a link to an "external" library that then can be accessed using this library manager. More...
void | removeLibrary ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the library item with the specified name. More...
boolean | isLibraryLoaded ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| returns true if the accessed library is already loaded from the storage, otherwise false. More...
void | loadLibrary ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| Causes the accessed library to be loaded from its storage if it hasn't already been loaded. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Extension of XLibraryContainer2.

## Member Function Documentation

## ◆ getOriginalLibraryLinkURL()

string getOriginalLibraryLinkURL | ( | [in] string | Name | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::NoSuchElementException
| ) |  |

returns the location of the library link target.

The returned URL is literally the same as the one provided in XLibraryContainer::createLibraryLink(). Otherwise the behavior is the same as XLibraryContainer2::getLibraryLinkURL()

The documentation for this interface was generated from the following file:

- com/sun/star/script/XLibraryContainer3.idl